Create a tier rule
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
min_xp_threshold: 123,
tier_name: '<string>',
benefits_description: '<string>',
color: '<string>',
icon: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers"
payload = {
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"min_xp_threshold": "<string>",
"tenant_id": "<string>",
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"icon": "<string>",
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Tiers
Create a tier rule
Creates a tier rule through the Portal API.
See the Gateway API entry for the full description.
POST
/
tenant
/
{tenantId}
/
tiers
Create a tier rule
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
min_xp_threshold: 123,
tier_name: '<string>',
benefits_description: '<string>',
color: '<string>',
icon: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers"
payload = {
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"min_xp_threshold": "<string>",
"tenant_id": "<string>",
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"icon": "<string>",
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Path Parameters
Body
application/json
⌘I

